#pragma once

class CSphere;

class CScene
{

public:
	CScene(void);
	~CScene(void);
	void Init(void);
	void Redraw(void);
	void Update(void);

protected:
	void DrawSphere(void);

	void Draw_ImmediateMode(void);
	void Draw_DisplayList(void);
	void Draw_VBO(void);

	CSphere * s;

	double cameraAngle;

	int displayListId;
	void CreateDisplayList(void);
	
	GLuint vboId;
	void CreateVBO(void);

};

